#
# spec file for package kmisc (Version alpha)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake autoconf qtlib qtdevel gpp libgpp ksupp klibs kbase libz xpm gettext bttv libgif libjpeg

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         kmisc
Release:      22
Copyright:    1997,1998 The KDE-Team
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Some KDE tools (Alpha!)
Version:      alpha
Source0:  kmisc.tgz
Source1:  krecord-0.4.tar.gz
Source2:  kheise-0.4_b.tgz
Source3:  kheisepro-0.7.tar.gz
Source4:  konquest-0.99.1.tar.gz
Source5:  kcmprinter-0.3.tar.gz
Source6:  kdat-19980517.tar.gz
Source7:  kalendar-0.4e.tar.gz
Source8:  krubik-1.02.tar.gz 
Source9:  kzacman-0.3.tar.gz
Source10: kencoder-0.1.tgz
Patch1:  krecord-0.3.dif
%description
Alpha stage!
Some KDE packages are still in an early development stage. Thus, KDE being
relatively stable, it may nevertheless happen that any of the KDE
applications crashes or produces strange effects.
This package is especially concerned since it was built from
not yet officially released programs.
Newest KDE packages adepted to S.u.S.E. Linux may be found at
ftp://ftp.suse.com/pub/suse_update/KDE. 
General information for KDE can be found at the respective addresses
in WWW (http://www.kde.org) or our support database
(http://www.suse.de/Support/sdb). 
Contains some very practical tools.
Documentation in:
/usr/doc/packages/kde/kmisc 

Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -n kmisc -b 1 -b 2 -b 3 -b 4 -b 5 -b 6 -b 7 -b 8 -b 9 -b 10
cp ./config.h /usr/include/config.h
cd ../krecord
%patch -P 1
%build
. variables.sh
cd ..
export PATH=.:$PATH
for FILE in `find -name "*.P"` `find -name "config.cache"`
do
    echo -n "Removing $FILE..."
    rm -f $FILE
    echo "Done."
done
for DIR in *
do
    ( 
	cd $DIR 
	test -f configure && \
	    chmod u+x configure && \
	    ./configure \
		--prefix=${KDEDIR} \
		--with-qt-dir=${QTDIR} \
		--with-qt-includes=${QTDIR}/include \
		--with-qt-libraries=${QTDIR}/lib
	test -f Makefile && make 
    )
done
%install
touch /lastinit
. variables.sh
export PATH=.:$PATH
export MYDOCS=${DOCROOT}/kmisc
cd ..
for DIR in *
do
    ( 
	cd $DIR && \
	test -f Makefile && make install 
    )
done
#
# move kdelnk files to other
# menu hirarchy
#
cd /opt/kde/share/applnk
rm -rf Alpha
mkdir Alpha
for i in Games Multimedia Utilities 
do
   rm -rf Alpha/$i
   mkdir Alpha/$i
   cp -R $i/* Alpha/$i
   rm -rf $i
done
Check
%files
%dir /opt/kde/share/apps/kalendar
%dir /opt/kde/share/apps/kalendar/pics
%dir /opt/kde/share/apps/kalendar/toolbar
%dir /opt/kde/share/apps/kheise
%dir /opt/kde/share/apps/kheise/heisereg
%dir /opt/kde/share/apps/kheisepro
%dir /opt/kde/share/apps/kheisepro/pics
%dir /opt/kde/share/apps/kheisepro/toolbar
%dir /opt/kde/share/apps/konquest
%dir /opt/kde/share/apps/konquest/pics
%dir /opt/kde/share/apps/krecord
%dir /opt/kde/share/apps/krecord/toolbar
%dir /opt/kde/share/apps/krubik
%dir /opt/kde/share/apps/kzacman
%dir /opt/kde/share/apps/kzacman/data
%docdir /opt/kde/share/doc/HTML/de/kalendar
%docdir /opt/kde/share/doc/HTML/de/kheise
%docdir /opt/kde/share/doc/HTML/de/kheisepro
%docdir /opt/kde/share/doc/HTML/en/kalendar
%docdir /opt/kde/share/doc/HTML/en/kcmprinter
%docdir /opt/kde/share/doc/HTML/en/kdat
%docdir /opt/kde/share/doc/HTML/en/kencoder
%docdir /opt/kde/share/doc/HTML/en/kheise
%docdir /opt/kde/share/doc/HTML/en/konquest
%docdir /opt/kde/share/doc/HTML/en/krecord
%docdir /opt/kde/share/doc/HTML/en/krubik
%docdir /opt/kde/share/doc/HTML/en/krubik/devel
%docdir /opt/kde/share/doc/HTML/en/kzacman
%docdir /opt/kde/share/doc/HTML/fr/kencoder
%docdir /opt/kde/share/doc/HTML/it/kalendar
/opt/kde/bin/kalendar
/opt/kde/bin/kcmprinter
/opt/kde/bin/kdat
/opt/kde/bin/kencoder
/opt/kde/bin/kheise
/opt/kde/bin/kheisepro
/opt/kde/bin/konquest
/opt/kde/bin/krecord
/opt/kde/bin/krubik
/opt/kde/bin/kzacman
/opt/kde/share/applnk/Alpha/Games/Konquest.kdelnk
/opt/kde/share/applnk/Alpha/Games/krubik.kdelnk
/opt/kde/share/applnk/Alpha/Games/kzacman.kdelnk
/opt/kde/share/applnk/Alpha/Multimedia/kencoder.kdelnk
/opt/kde/share/applnk/Alpha/Multimedia/krecord.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kalendar.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kcmprinter.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kdat.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kheise.kdelnk
/opt/kde/share/applnk/Alpha/Utilities/kheisepro.kdelnk
/opt/kde/share/apps/kalendar/pics/alarm.xpm
/opt/kde/share/apps/kalendar/pics/alarmrep.xpm
/opt/kde/share/apps/kalendar/pics/business.xpm
/opt/kde/share/apps/kalendar/pics/cross.xpm
/opt/kde/share/apps/kalendar/pics/fired.xpm
/opt/kde/share/apps/kalendar/pics/kalendar.xpm
/opt/kde/share/apps/kalendar/pics/mini-kalendar.xpm
/opt/kde/share/apps/kalendar/pics/personal.xpm
/opt/kde/share/apps/kalendar/pics/repeat.xpm
/opt/kde/share/apps/kalendar/pics/tick.xpm
/opt/kde/share/apps/kalendar/toolbar/filedel.xpm
/opt/kde/share/apps/kcmprinter_filters
/opt/kde/share/apps/kheise/heisereg/inhalt.frm
/opt/kde/share/apps/kheise/heisereg/inhalt.frm.fmt
/opt/kde/share/apps/kheise/heisereg/regpl211
/opt/kde/share/apps/kheisepro/pics/arrow_down.xpm
/opt/kde/share/apps/kheisepro/pics/arrow_up.xpm
/opt/kde/share/apps/kheisepro/pics/cdrom.xpm
/opt/kde/share/apps/kheisepro/toolbar/fileclose.xpm
/opt/kde/share/apps/kheisepro/toolbar/search.xpm
/opt/kde/share/apps/konquest/pics/konquest-splash.gif
/opt/kde/share/apps/konquest/pics/planet1.xpm
/opt/kde/share/apps/konquest/pics/planet2.xpm
/opt/kde/share/apps/konquest/pics/planet3.xpm
/opt/kde/share/apps/konquest/pics/planet4.xpm
/opt/kde/share/apps/konquest/pics/planet5.xpm
/opt/kde/share/apps/konquest/pics/planet6.xpm
/opt/kde/share/apps/konquest/pics/planet7.xpm
/opt/kde/share/apps/konquest/pics/planet8.xpm
/opt/kde/share/apps/konquest/pics/planet9.xpm
/opt/kde/share/apps/konquest/pics/ruler.xpm
/opt/kde/share/apps/krecord/toolbar/freq.xpm
/opt/kde/share/apps/krecord/toolbar/mbackward.xpm
/opt/kde/share/apps/krecord/toolbar/mforward.xpm
/opt/kde/share/apps/krecord/toolbar/monitor.xpm
/opt/kde/share/apps/krecord/toolbar/mpause.xpm
/opt/kde/share/apps/krecord/toolbar/mplay.xpm
/opt/kde/share/apps/krecord/toolbar/mrecord.xpm
/opt/kde/share/apps/krecord/toolbar/mstop.xpm
/opt/kde/share/apps/krubik/example1.cube
/opt/kde/share/apps/krubik/example2.cube
/opt/kde/share/apps/krubik/example3.cube
/opt/kde/share/apps/krubik/example4.cube
/opt/kde/share/apps/kzacman/data/arrow-down-mask.bmp
/opt/kde/share/apps/kzacman/data/arrow-down.bmp
/opt/kde/share/apps/kzacman/data/arrow-up-mask.bmp
/opt/kde/share/apps/kzacman/data/arrow-up.bmp
/opt/kde/share/apps/kzacman/data/back1.bmp
/opt/kde/share/apps/kzacman/data/back2.bmp
/opt/kde/share/apps/kzacman/data/back3.bmp
/opt/kde/share/apps/kzacman/data/back4.bmp
/opt/kde/share/apps/kzacman/data/back5.bmp
/opt/kde/share/apps/kzacman/data/back6.bmp
/opt/kde/share/apps/kzacman/data/bg.bmp
/opt/kde/share/apps/kzacman/data/pause.bmp
/opt/kde/share/apps/kzacman/data/point-mask.bmp
/opt/kde/share/apps/kzacman/data/point.bmp
/opt/kde/share/apps/kzacman/data/wall1.bmp
/opt/kde/share/apps/kzacman/data/wall2.bmp
/opt/kde/share/apps/kzacman/data/wall3.bmp
/opt/kde/share/apps/kzacman/data/wall4.bmp
/opt/kde/share/apps/kzacman/data/wall5.bmp
/opt/kde/share/apps/kzacman/data/wall6.bmp
/opt/kde/share/apps/kzacman/data/zacman-down-mask.bmp
/opt/kde/share/apps/kzacman/data/zacman-down.bmp
/opt/kde/share/apps/kzacman/data/zacman-left-mask.bmp
/opt/kde/share/apps/kzacman/data/zacman-left.bmp
/opt/kde/share/apps/kzacman/data/zacman-right-mask.bmp
/opt/kde/share/apps/kzacman/data/zacman-right.bmp
/opt/kde/share/apps/kzacman/data/zacman-up-mask.bmp
/opt/kde/share/apps/kzacman/data/zacman-up.bmp
%doc /opt/kde/share/doc/HTML/de/kalendar/index.html
%doc /opt/kde/share/doc/HTML/de/kheise/index.html
%doc /opt/kde/share/doc/HTML/de/kheisepro/index-1.html
%doc /opt/kde/share/doc/HTML/de/kheisepro/index-2.html
%doc /opt/kde/share/doc/HTML/de/kheisepro/index-3.html
%doc /opt/kde/share/doc/HTML/de/kheisepro/index-4.html
%doc /opt/kde/share/doc/HTML/de/kheisepro/index-5.html
%doc /opt/kde/share/doc/HTML/de/kheisepro/index-6.html
%doc /opt/kde/share/doc/HTML/de/kheisepro/index.html
%doc /opt/kde/share/doc/HTML/en/kalendar/index.html
%doc /opt/kde/share/doc/HTML/en/kcmprinter/index.html
%doc /opt/kde/share/doc/HTML/en/kcmprinter/printerChanges.html
%doc /opt/kde/share/doc/HTML/en/kcmprinter/printerGPL.html
%doc /opt/kde/share/doc/HTML/en/kcmprinter/printerNotes.html
%doc /opt/kde/share/doc/HTML/en/kdat/gpl.html
%doc /opt/kde/share/doc/HTML/en/kdat/index.html
%doc /opt/kde/share/doc/HTML/en/kencoder/index.html
%doc /opt/kde/share/doc/HTML/en/kencoder/kencoderdoc.html
%doc /opt/kde/share/doc/HTML/en/kencoder/kencodershot.jpg
%doc /opt/kde/share/doc/HTML/en/kencoder/logotp3.gif
%doc /opt/kde/share/doc/HTML/en/kheise/index.html
%doc /opt/kde/share/doc/HTML/en/konquest/index.html
%doc /opt/kde/share/doc/HTML/en/krecord/index.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/Cube.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/KRubik.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/Kleur.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/Vector.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/cube-h.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/defines-h.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/dialog-h.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/heir.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/includes-h.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/index.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/krubik-h.html
%doc /opt/kde/share/doc/HTML/en/krubik/devel/vector-h.html
%doc /opt/kde/share/doc/HTML/en/krubik/index-1.html
%doc /opt/kde/share/doc/HTML/en/krubik/index-2.html
%doc /opt/kde/share/doc/HTML/en/krubik/index-3.html
%doc /opt/kde/share/doc/HTML/en/krubik/index-4.html
%doc /opt/kde/share/doc/HTML/en/krubik/index-5.html
%doc /opt/kde/share/doc/HTML/en/krubik/index.html
%doc /opt/kde/share/doc/HTML/en/krubik/region.gif
%doc /opt/kde/share/doc/HTML/en/kzacman/index.html
%doc /opt/kde/share/doc/HTML/fr/kencoder/index.html
%doc /opt/kde/share/doc/HTML/fr/kencoder/kencoderdoc.html
%doc /opt/kde/share/doc/HTML/fr/kencoder/kencodershot.jpg
%doc /opt/kde/share/doc/HTML/fr/kencoder/logotp3.gif
%doc /opt/kde/share/doc/HTML/it/kalendar/index.html
/opt/kde/share/icons/kcmprinter.xpm
/opt/kde/share/icons/kdat.xpm
/opt/kde/share/icons/kencoder.xpm
/opt/kde/share/icons/kheise.xpm
/opt/kde/share/icons/kheisepro.xpm
/opt/kde/share/icons/konquest.xpm
/opt/kde/share/icons/krubik.xpm
/opt/kde/share/icons/kzacman.xpm
/opt/kde/share/icons/mini/kcmprinter.xpm
/opt/kde/share/icons/mini/kdat.xpm
/opt/kde/share/icons/mini/kheise.xpm
/opt/kde/share/icons/mini/kheisepro.xpm
/opt/kde/share/icons/mini/konquest.xpm
/opt/kde/share/icons/mini/kzacman.xpm
/opt/kde/share/icons/mini/mini-kalendar.xpm
/opt/kde/share/locale/de/LC_MESSAGES/kalendar.mo
/opt/kde/share/locale/de/LC_MESSAGES/kheise.mo
/opt/kde/share/locale/de/LC_MESSAGES/kheisepro.mo
/opt/kde/share/locale/de/LC_MESSAGES/krecord.mo
/opt/kde/share/locale/de/LC_MESSAGES/krubik.mo
/opt/kde/share/locale/es/LC_MESSAGES/krubik.mo
/opt/kde/share/locale/fr/LC_MESSAGES/kencoder.mo
/opt/kde/share/locale/hr/LC_MESSAGES/krubik.mo
/opt/kde/share/locale/it/LC_MESSAGES/krubik.mo
/opt/kde/share/locale/nl/LC_MESSAGES/krubik.mo
/opt/kde/share/locale/pt/LC_MESSAGES/krubik.mo
/opt/kde/share/locale/sk/LC_MESSAGES/krubik.mo

